matrix: &matrix
  platform:
  - debian10
  - macos
  - rockylinux8
  - ubuntu2004
  # Some valid invocations of the "cue" tool can't succeed (e.g. use
  # of the "path" and "expression" rules attributes) until we resolve
  # or find a reliable workaround for the following issue:
  #
  #   https://github.com/bazelbuild/bazel/issues/17487
  #
  # Until then, withdraw promised support for using this module on
  # Windows.
  #- windows
  bazel:
  - 7.x
  - 8.x
tasks:
  verify_targets:
    name: Verify that all tests succeed
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    test_targets:
    - '@rules_cue//test:all'
bcr_test_module:
  module_path: examples/bzlmod
  matrix: *matrix
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      build_targets:
      - //root
